<html>
<head>
<title>Ogre::GLES2SurfaceDesc Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2SurfaceDesc Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2SurfaceDesc" -->
<p>GL surface descriptor.  
 <a href="structOgre_1_1GLES2SurfaceDesc.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>&gt;</code></p>

<p><a href="structOgre_1_1GLES2SurfaceDesc-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a85400c603d3626642a5bf02e3e3eb401">GLES2SurfaceDesc</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2HardwarePixelBuffer.html">GLES2HardwarePixelBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a79c5d99ebe85f5023847aff9f8d91873">buffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a0d244420b6389724ef82c2f3437b50b4">zoffset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a94a81c0b4794fc64f6b16707efffbf0b">numSamples</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>GL surface descriptor. </p>
<p>Points to a 2D surface that can be rendered to. </p>

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00039">39</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a85400c603d3626642a5bf02e3e3eb401"></a><!-- doxytag: member="Ogre::GLES2SurfaceDesc::GLES2SurfaceDesc" ref="a85400c603d3626642a5bf02e3e3eb401" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a85400c603d3626642a5bf02e3e3eb401">Ogre::GLES2SurfaceDesc::GLES2SurfaceDesc</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00046">46</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a79c5d99ebe85f5023847aff9f8d91873"></a><!-- doxytag: member="Ogre::GLES2SurfaceDesc::buffer" ref="a79c5d99ebe85f5023847aff9f8d91873" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2HardwarePixelBuffer.html">GLES2HardwarePixelBuffer</a>* <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a79c5d99ebe85f5023847aff9f8d91873">Ogre::GLES2SurfaceDesc::buffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00042">42</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a94a81c0b4794fc64f6b16707efffbf0b"></a><!-- doxytag: member="Ogre::GLES2SurfaceDesc::numSamples" ref="a94a81c0b4794fc64f6b16707efffbf0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a94a81c0b4794fc64f6b16707efffbf0b">Ogre::GLES2SurfaceDesc::numSamples</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00044">44</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0d244420b6389724ef82c2f3437b50b4"></a><!-- doxytag: member="Ogre::GLES2SurfaceDesc::zoffset" ref="a0d244420b6389724ef82c2f3437b50b4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html#a0d244420b6389724ef82c2f3437b50b4">Ogre::GLES2SurfaceDesc::zoffset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2RenderTexture_8h_source.html#l00043">43</a> of file <a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2RenderTexture_8h_source.html">OgreGLES2RenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:29
</p>
</body>
</html>
